"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var wallet_adapter_base_1 = require("@solana/wallet-adapter-base");
var wallet_adapter_react_1 = require("@solana/wallet-adapter-react");
var wallet_adapter_react_ui_1 = require("@solana/wallet-adapter-react-ui");
var wallet_adapter_wallets_1 = require("@solana/wallet-adapter-wallets");
var web3_js_1 = require("@solana/web3.js");
var react_1 = __importDefault(require("react"));
var solana_1 = __importDefault(require("../../contexts/solana"));
var SolConfig = function SolConfig(_a) {
    var children = _a.children;
    var _b = react_1["default"].useState(false), test = _b[0], setTest = _b[1];
    var network = test ? wallet_adapter_base_1.WalletAdapterNetwork.Devnet : wallet_adapter_base_1.WalletAdapterNetwork.Mainnet;
    var endpoint = react_1["default"].useMemo(function () { return (0, web3_js_1.clusterApiUrl)(network); }, [network]);
    var wallets = react_1["default"].useMemo(function () { return [
        new wallet_adapter_wallets_1.PhantomWalletAdapter(),
        new wallet_adapter_wallets_1.GlowWalletAdapter(),
        new wallet_adapter_wallets_1.SlopeWalletAdapter(),
        new wallet_adapter_wallets_1.SolflareWalletAdapter({ network: network }),
        new wallet_adapter_wallets_1.TorusWalletAdapter(),
    ]; }, [network]);
    var solanaContextValue = react_1["default"].useMemo(function () { return ({ test: test, setTest: setTest }); }, [test]);
    return (react_1["default"].createElement(solana_1["default"].Provider, { value: solanaContextValue },
        react_1["default"].createElement(wallet_adapter_react_1.ConnectionProvider, { endpoint: endpoint },
            react_1["default"].createElement(wallet_adapter_react_1.WalletProvider, { wallets: wallets, autoConnect: true },
                react_1["default"].createElement(wallet_adapter_react_ui_1.WalletModalProvider, null, children)))));
};
exports["default"] = SolConfig;
