"use strict";
exports.__esModule = true;
var wagmi_1 = require("wagmi");
var coinbaseWallet_1 = require("wagmi/connectors/coinbaseWallet");
var metaMask_1 = require("wagmi/connectors/metaMask");
var walletConnect_1 = require("wagmi/connectors/walletConnect");
var public_1 = require("wagmi/providers/public");
var _a = (0, wagmi_1.configureChains)(wagmi_1.defaultChains, [(0, public_1.publicProvider)()]), chains = _a.chains, provider = _a.provider, webSocketProvider = _a.webSocketProvider;
exports["default"] = (0, wagmi_1.createClient)({
    autoConnect: true,
    connectors: [
        new metaMask_1.MetaMaskConnector({ chains: chains }),
        new coinbaseWallet_1.CoinbaseWalletConnector({
            chains: chains,
            options: {
                appName: 'prism'
            }
        }),
        new walletConnect_1.WalletConnectConnector({
            chains: chains,
            options: {
                qrcode: true
            }
        }),
    ],
    provider: provider,
    webSocketProvider: webSocketProvider
});
