import React from 'react';
import useSubscription from '../../hooks/useSubscription';
import PayInvoiceButton, { PayInvoiceButtonOwnProps } from './invoice-button';

type PayRenewalButtonProps = Omit<PayInvoiceButtonOwnProps, 'invoice'> & React.ComponentPropsWithoutRef<any> & { subscription?: string }

const PayRenewalButton: React.FC<PayRenewalButtonProps> = function PayRenewalButton({
  subscription,
  children,
  ...props
}: PayRenewalButtonProps): React.ReactElement | null {
  const sub = useSubscription(subscription);

  const invoice = React.useMemo(() => sub?.latest_invoice?.status === 'open' ? sub?.latest_invoice?.id : undefined,
    [sub?.latest_invoice]
  );

  return (
    <PayInvoiceButton invoice={invoice} {...props}>
      {children}
    </PayInvoiceButton>
  );
}

export default PayRenewalButton;
