import React from 'react';
import PrismContext, { PrismContextType } from '../contexts/prism';

export default function withPrism<T>(Component: React.FC<T>, context: PrismContextType) {
  return function ComponentWithPrism(hocProps: T) {
    return (
      <PrismContext.Provider value={context}>
        <Component {...hocProps} />
      </PrismContext.Provider>
    );
  };
}
