import usePrism from "./usePrism";
import React from 'react';
import { PaymentIntent } from "prism-node";

export default function usePollPaymentIntent() {
  const prism = usePrism();

  const pollPaymentIntent = React.useCallback((
    id: string,
    exitCondition = ((paymentIntent: PaymentIntent) => paymentIntent.status !== 'processing'),
  ) => {
    if (!prism) return;

    return prism.prism.paymentIntents.poll(id)
      .then(async (paymentIntent: PaymentIntent) => {
        console.log(paymentIntent);
        if (exitCondition(paymentIntent)) return paymentIntent;

        return new Promise((resolve) => {
          setTimeout(() => resolve(pollPaymentIntent(id, exitCondition)), 1000);
        });
      });
  }, [prism]);

  return pollPaymentIntent;
};
