import usePrism from "./usePrism";
import React from 'react';
import PrismContext from "../contexts/prism";
import { Subscription } from "prism-node";

export default function useSubscription(id?: string) {
  const { prismAccount } = React.useContext(PrismContext);
  const prism = usePrism();
  const [subscription, setSubscription] = React.useState<Subscription | null>(null);

  React.useEffect(() => {
    if (!id || !prism) return;
    prism.retrieveSubscription(id, prismAccount ? { prismAccount } : undefined)
      .then((sub) => setSubscription(sub as Subscription))
      .catch((err) => console.log(err));
  }, []);

  return subscription;
}
